#include "colors.inc"

#declare MyTexture = texture {
        pigment {
                color Red  
        }
        finish {
                ambient 0.2
                phong 0.8
                phong_size 10  
//                reflection {
//                        0.9
//                }        
        }               
}

global_settings {
        ambient_light White
}

camera {
        location <10,10,10>
        look_at <0,0,0>
}
   
light_source {
        <0,20,20>
        color White
}

light_source {
        <20,20,0>
        color White
}
    

sky_sphere {
    pigment {
      gradient y
      color_map {
        [ 0.5  color CornflowerBlue ]
        [ 1.0  color MidnightBlue ]
      }
      scale 2
      translate -1
    }
  }

plane {
        <0,1,0>, 0   
        texture {
                pigment {
                        color Gray90
                }
        finish {
                        ambient 0.1   
                        reflection {
                                0.1
                        }        
                }
        }                                                   
}
          
          
cylinder {
        <0,1,0> <0,6,0> 1  
        texture { MyTexture }
}              